WfTemplatesPresenter.Display (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client.presenter
Interface WfTemplatesPresenter.Display

All Known Implementing Classes:
  WfTemplatesView

Enclosing class:
  WfTemplatesPresenter

    public static interface WfTemplatesPresenter.Display

Method Summary
`void` | `addNewRoles(com.orange.links.client.connection.Connection selectedEdge, String toDisplay)`
`void` | `addNewStep(String stepName, String description, int... leftTop)`
`com.google.gwt.user.client.ui.Widget` | `asWidget()`
`void` | `displaySelectedWfTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph graph, com.orange.links.client.event.TieLinkHandler linkHandler, com.google.gwt.event.shared.HandlerManager eventBus)`
`void` | `enableDeleteButton(boolean enabled)`
`void` | `enableDropPanel(boolean enabled)`
`void` | `enableGraphControlPanel(boolean enabled)`
`void` | `enableSaveButton(boolean enabled)`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getAddNewStepButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getCreateNewButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getDeleteButton()`
`MyDiagramController` | `getDiagramController()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getResetButton()`
`com.google.gwt.event.dom.client.HasClickHandlers` | `getSaveButton()`
`com.google.gwt.view.client.SingleSelectionModel<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate>` | `getTableSelectionModel()`
`void` | `resetView()`
`void` | `setData(List<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> list)`
`void` | `showCreateNewTemplate(com.orange.links.client.event.TieLinkHandler linkHandler, com.google.gwt.event.shared.HandlerManager eventBus)`
`void` | `showLoading(boolean show)`

Method Detail

### getSaveButton

    com.google.gwt.event.dom.client.HasClickHandlers getSaveButton()

### getCreateNewButton

    com.google.gwt.event.dom.client.HasClickHandlers getCreateNewButton()

### getAddNewStepButton

    com.google.gwt.event.dom.client.HasClickHandlers getAddNewStepButton()

### getDeleteButton

    com.google.gwt.event.dom.client.HasClickHandlers getDeleteButton()

### getResetButton

    com.google.gwt.event.dom.client.HasClickHandlers getResetButton()

### getTableSelectionModel

    com.google.gwt.view.client.SingleSelectionModel<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> getTableSelectionModel()

### getDiagramController

    MyDiagramController getDiagramController()

### enableSaveButton

    void enableSaveButton(boolean enabled)

### enableDeleteButton

    void enableDeleteButton(boolean enabled)

### setData

    void setData(List<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> list)

### displaySelectedWfTemplate

    void displaySelectedWfTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph graph,
                                   com.orange.links.client.event.TieLinkHandler linkHandler,
                                   com.google.gwt.event.shared.HandlerManager eventBus)

### showCreateNewTemplate

    void showCreateNewTemplate(com.orange.links.client.event.TieLinkHandler linkHandler,
                               com.google.gwt.event.shared.HandlerManager eventBus)

### enableGraphControlPanel

    void enableGraphControlPanel(boolean enabled)

### enableDropPanel

    void enableDropPanel(boolean enabled)

### showLoading

    void showLoading(boolean show)

### addNewStep

    void addNewStep(String stepName,
                    String description,
                    int... leftTop)

### addNewRoles

    void addNewRoles(com.orange.links.client.connection.Connection selectedEdge,
                     String toDisplay)

### asWidget

    com.google.gwt.user.client.ui.Widget asWidget()

### resetView

    void resetView()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.